petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCPATCH

A PC object that encapsulates flexible definition of blocks for overlapping and non-overlapping small block additive preconditioners. Block definition is based on topology from a DM and equation numbering from a PetscSection.

### Options Database Keys

| -pc_patch_cells_view | - Views the process local cell numbers for each patch
| -pc_patch_points_view | - Views the process local mesh point numbers for each patch
| -pc_patch_g2l_view | - Views the map between global dofs and patch local dofs for each patch
| -pc_patch_patches_view | - Views the global dofs associated with each patch and its boundary
| -pc_patch_sub_mat_view | - Views the matrix associated with each patch

### See Also

PCType, PCCreate(), PCSetType()

### Level

intermediate

### Location

src/ksp/pc/impls/patch/pcpatch.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages